Endpoint
| field | value |
|---|
| method | GET |
| path | /api/integrations/v1/audit-logs |
| operationId | get_integration_audit_logs |
| auth | server to server integration client token |
| Idempotency-Key | not required |
| lifecycle | stable |
| resource type | audit-log |
| data classification | internal |
| scope risk | medium |
| write operation | no |
Summary
監査ログ の list audit logs endpoint です。backend OpenAPI から同期しています。
Required scope
| scope | requirement |
|---|
| integrations:audit:read | required |
Operation contract
| field | value |
|---|
| bulk mode | - |
| bulk max items | - |
| bulk dry run | - |
| sync type | paginated-list |
| sync max limit | 100 |
| reconciliation | - |
Path parameters
Query parameters
| name | required | schema |
|---|
| companyId | optional | integer | null |
| resourceType | optional | string | null |
| resourceId | optional | integer | null |
| externalResourceId | optional | string | null |
| operation | optional | string | null |
| requestId | optional | string | null |
| idempotencyKey | optional | string | null |
| statusCode | optional | integer | null |
| limit | optional | integer |
| offset | optional | integer |
Header parameters
Request body
| status | media type | schema |
|---|
| - | - | - |
| - | - | - |
Response
| status | media type | schema |
|---|
| 200 | application/json | PaginatedSuccessResponse_list_IntegrationAuditLogDetail__ |
Example
curl -X GET "https://api.anshin.care/api/integrations/v1/audit-logs" \
-H "Authorization: Bearer $ANSHIN_INTEGRATION_ACCESS_TOKEN" \
業務境界
- domain: 連携運用
- endpoint は各 backend の S2S scoped OpenAPI artifact から同期しています。
- company 境界は backend で検証します。
- write 系 endpoint は、画面用 API と endpoint を分け、処理本体は service 層で共通化します。